import request from '@/utils/request'

// 查询可靠性管理措施列表
export function listKkxglcs(query) {
  return request({
    url: '/reliability/kkxglcs/list',
    method: 'get',
    params: query
  })
}

// 紧急统计
export function urgencyData(query) {
  return request({
    url: '/reliability/kkxglcs/urgencyData',
    method: 'get',
    params: query
  })
}

// 状态统计
export function statusData(query) {
  return request({
    url: '/reliability/kkxglcs/statusData',
    method: 'get',
    params: query
  })
}

// 查询可靠性管理措施详细
export function getKkxglcs(id) {
  return request({
    url: '/reliability/kkxglcs/' + id,
    method: 'get'
  })
}

// 新增可靠性管理措施
export function addKkxglcs(data) {
  return request({
    url: '/reliability/kkxglcs',
    method: 'post',
    data: data
  })
}

// 修改可靠性管理措施
export function updateKkxglcs(data) {
  return request({
    url: '/reliability/kkxglcs',
    method: 'put',
    data: data
  })
}

// 删除可靠性管理措施
export function delKkxglcs(id) {
  return request({
    url: '/reliability/kkxglcs/' + id,
    method: 'delete'
  })
}

// 导出可靠性管理措施
export function exportKkxglcs(query) {
  return request({
    url: '/reliability/kkxglcs/export',
    method: 'get',
    params: query
  })
}
